- [HTTP request](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.response_body)
  - [JSON representation](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.ListSubscribersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.aspect)
- [IAM Permissions](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#body.aspect_1)
- [Examples](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list#try-it)

Lists all subscribers registered within the owned Google Cloud Project.

### HTTP request

`GET https://health.googleapis.com/v4beta/{parent=projects/*}/subscribers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4beta/errors)

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of subscribers. Format: projects/{project} It takes the form `projects/{project}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of subscribers to return. The service may return fewer than this value. If unspecified, at most 50 subscribers will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `subscribers.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `subscribers.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for subscribers.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscribers": [ { object (`https://developers.google.com/health/reference/rest/v4beta/Subscriber`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `subscribers[]` | ``object (`https://developers.google.com/health/reference/rest/v4beta/Subscriber`)`` Subscribers from the specified project. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of subscribers matching the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `health.subscribers.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).